<?php

/*  
  
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

  
	Autores version mexicana : 
	                           Matias Fertilio
	                           Ernesto Perez
				   
	Fecha Liberación del código: 20/04/2010
	CodeKa Mx 2010			 
	
	*/

define('FPDF_FONTPATH','font/');
require_once ('fpdf.php') ; 
include("comunesfactura.php");
include ("../conectar.php");
include ("../funciones/fechas.php"); 
//include ("Numbers/Words.php");


$pdf=new PDF();
$pdf->Open();
$pdf->AddPage();

// Cabecera
$pdf->Header('logo/logoTotal box1.jpg',10,8,33,33);

$pdf->Ln();    

if ($fondofac=="SI")$pdf->Header('./logo/Factura v3.jpg',0,0,205,295);

$parametros = "Select * from  WEB_0000";
$datos = mysql_query($parametros);



$codfactura=$_GET["codfactura"];
  
$consulta = "Select * from facturas, WEB_0301 where facturas.codfactura=$codfactura and facturas.cdgcli= WEB_0301.cdgcli";
$resultado = mysql_query($consulta);
$lafila=mysql_fetch_array($resultado);

    $fecha = implota($lafila["fecha"]);
	$dia1=substr($fecha,0,2);
	
	// El mes sale como numero x                                             
	$mes1=substr($fecha,3,2);
	
	// si se activa este comando el mes sale con letras
	//$mes1=mes($mes1);´
	


	$ano1=substr($fecha,6,4);
	
	$pdf->SetFillColor(255,255,255);	
    $pdf->SetTextColor(11,4,4);
    $pdf->SetDrawColor(0,0,0);
    $pdf->SetLineWidth(.2);
    $pdf->SetFont('Arial','B',14);	
	
	$pdf->Ln(-2);
	$pdf->Cell(150);
	$fecha = implota($lafila["fecha"]);
	$pdf->Cell(5);
	$pdf->Cell(12,4,$dia1,0,0,'L',0);
	$pdf->Cell(12,4,$mes1,0,0,'L',0);
	$pdf->Cell(10,4,$ano1,0,0,'L',0);
	
	$pdf->Ln(16);
	$pdf->Cell(160);
	$pdf->Cell(10,4,$codfactura,0,0,'L',0);
	
	$pdf->Ln(-15);
	$pdf->Cell(52);
    $pdf->Cell(10,4,mysql_result($datos,0,"nomcom"),0,0,'L',0);
	
	$pdf->Ln(6);
	$pdf->Cell(52);
    $pdf->Cell(10,4,mysql_result($datos,0,"cedjur"),0,0,'L',0);
	
	$pdf->Ln(6);
	$pdf->Cell(52);
    $pdf->Cell(10,4,mysql_result($datos,0,"diremp"),0,0,'L',0);
	
	$pdf->Ln(6);
	$pdf->Cell(52);
    $pdf->Cell(10,4,mysql_result($datos,0,"numtel"),0,0,'L',0);
	
		$pdf->SetFillColor(255,255,255);	
    $pdf->SetTextColor(11,4,4);
    $pdf->SetDrawColor(0,0,0);
    $pdf->SetLineWidth(.2);
    $pdf->SetFont('Arial','B',12);	
	
	$pdf->Ln(13);
	$pdf->Cell(20);
    $pdf->Cell(100,6,mysql_result($resultado,0,"dsccli"),0,0,'L',0);
	

	
	$pdf->Ln(5);
	$pdf->Cell(20);
    $pdf->Cell(35,8,mysql_result($resultado,0,"cedcli") . "                                       " .mysql_result($resultado,0,"numtel"),0,0,'L',0);    
  //  $fecha = implota($lafila["fecha"]);
//	$pdf->Cell(60);
	//$pdf->Cell(10,4,$dia1,0,0,'L',0);
	//$pdf->Cell(10,4,$mes1,0,0,'L',0);
//	$pdf->Cell(15,4,$ano1,0,0,'L',0);
	
	
	//Calculamos la provincia
	//$codigoprovincia=$lafila["codprovincia"];
	//$consulta="select * from provincias where codprovincia='$codigoprovincia'";
	//$query=mysql_query($consulta);
	//$row=mysql_fetch_array($query);
	$pdf->Ln(5);
	$pdf->Cell(20);
	$pdf->Cell(80,10,mysql_result($resultado,0,"dircli"),0,0,'L',0);
	
	
	//$pdf->Ln(14);	
	
	//$pdf->Ln(5);
	//$pdf->Cell(20);
    //$pdf->Cell(40,4,$lafila["localidad"],0,0,'L',0);
			
			
    //ahora mostramos las lneas de la factura
			$pdf->SetFillColor(255,255,255);	
    $pdf->SetTextColor(11,4,4);
    $pdf->SetDrawColor(0,0,0);
    $pdf->SetLineWidth(.2);
    $pdf->SetFont('Arial','B',10);	
	
	
	
	$pdf->SetY(79);			
	$consulta2 = "Select * from factulinea where codfactura='$codfactura' order by numlinea";
    $resultado2 = mysql_query($consulta2, $conexion);
    
	$contador=1;
	while ($row=mysql_fetch_array($resultado2))
	{
	  $pdf->Cell(1);
	  $contador++;
	  
	  $cdgart=mysql_result($resultado2,$lineas,"codigo");
	 // $codfamilia=mysql_result($resultado2,$lineas,"codfamilia");
	  
	  $cantidad1= number_format(mysql_result($resultado2,$lineas,"cantidad"),1,".",",");	  
	  $pdf->Cell(4,4,$cantidad1,0,0,'L');
	  
	  $pdf->Cell(10);
	    $codigo=mysql_result($resultado2,$lineas,"codigo");	  
	  $pdf->Cell(4,4,$codigo,0,0,'C');
	  
	  
	 // $pdf->Cell(4,4,mysql_result($resultado2,$lineas,"cantidad"),0,0,'C');	
	  	  
	  $sel_articulos="SELECT * FROM WEB_1001 WHERE cdgart='$cdgart' ";
	  $rs_articulos=mysql_query($sel_articulos);
	  	  
	  $acotado = substr(mysql_result($rs_articulos,0,"dscart"), 0, 45);
	  $pdf->Cell(7);
	  $pdf->Cell(24,4,$acotado,0,0,'L');
	 
	  if (mysql_result($resultado2,$lineas,"dcto")==0) 
	  {
	  $pdf->Cell(88	);	
	  $pdf->Cell(10,4,"",0,0,'C');
	   } 
	  else 
	   { 
	  $pdf->Cell(88);
	  $pdf->Cell(10,4,mysql_result($resultado2,$lineas,"dcto") . " %",0,0,'C');
	   }
	   
	  	  $pdf->Cell(20);
	  $precio2= number_format(mysql_result($resultado2,$lineas,"preivi"),2,".",",");	  
	  $pdf->Cell(1,4,$precio2,0,0,'R');
	  
	  $importe2= number_format(mysql_result($resultado2,$lineas,"importe"),2,".",",");	  
	  
	  $pdf->Cell(25,4,$importe2,0,0,'R');
	  $pdf->Ln(7);	

	  //vamos acumulando el importe
	  $importe=$importe + mysql_result($resultado2,$lineas,"importe");
	  $impuesto=$impuesto + mysql_result($resultado2,$lineas,"impuesto");
	  $contador=$contador + 1;
	  $lineas=$lineas + 1;	
	  
	  
	  
	    
	};
			$pdf->SetFillColor(255,255,255);	
    $pdf->SetTextColor(11,4,4);
    $pdf->SetDrawColor(0,0,0);
    $pdf->SetLineWidth(.2);
    $pdf->SetFont('Arial','B',12);	
	
	
	// Parametro global Cantidad de filas en el detalle
	while ($contador<$FilasDetalleFactura)
	{
	  $pdf->Cell(1);
      $pdf->Cell(25,4,"",0,0,'C');
      $pdf->Ln(5);	
	  $contador=$contador +1;
	}
		  
	//Calculamos los valores del final de la factura
    $importe4=number_format($importe,2,".",",");	

	$ivai=$lafila["iva"];
	$impo=$impuesto;
	$impo=sprintf("%01.2f", $impo); 
	$total=$importe+$impo; 
	$total=sprintf("%01.2f", $total);
	$impo=number_format($impo,2,".",",");	

    $total=sprintf("%01.2f", $total);
	$total2= number_format($total,2,".",",");	

	$pdf->SetY(236);	
	$pdf->Cell(148);
    $pdf->Cell(32,5,$importe4,0,0,'R',0);
	$pdf->Ln(6);

	$pdf->Cell(148);
	//$pdf->Cell(1,4,$lafila["iva"] ." %",0,0,'R',0);
	$pdf->Cell(31,5,$impo,0,0,'R',0);	
	$pdf->Ln(7);
		
	$pdf->Cell(148);
	$pdf->Cell(32,5,$total2,0,0,'R',0);
	$pdf->Ln(8);
	
	//Calculamos de numero a palabras
	//$nw = new Numbers_Words();
		
	$pdf->SetY(148);
	$pdf->Cell(15);
	
	//Modificamos esta parte para que también muestra la parte fraccionaria y M.N.
	$decimales = explode(".",$total);	
	//$pdf->Cell(35,4,strtoupper($nw->toWords(round($total,0), "es") ." pesos ".$decimales[1]."/100 M.N."),0,0,'L',0);
	//$pdf->Cell(40,4,strtoupper($nw->toWords($decimales[0], "es") ." pesos ".$decimales[1]."/100 M.N."),0,0,'L',0);
	
		
      @mysql_free_result($resultado); 
      @mysql_free_result($query);
	  @mysql_free_result($resultado2); 
	  @mysql_free_result($query3);
	  
      $pdf->Output($name=("Factura mexico pequeña.pdf"),'I');


?>